http_send_status
http_throttle
HTTP Functions
PHP Manual

# http_send_stream

(PECL pecl_http >= 0.1.0)

http_send_stream — Send stream

### Description

bool http_send_stream ( resource `$stream` )

Sends an already opened stream with support for (multiple) range requests.

### Parameters

`stream`

  stream to read from (must be seekable)

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- http_send_data() - Send arbitrary data
- http_send_file() - Send file
- http_throttle() - HTTP throttling
- http_send_content_type() - Send Content-Type
- http_send_content_disposition() - Send Content-Disposition
- the HttpResponse class if you are using PHP 5.1.0 and above

http_send_status
http_throttle
HTTP Functions
PHP Manual